Description

Support Anfrage:

Ist es in ADTF 2.12 möglich das Erstellungsdatum eines Dat-Files (Messfahrt am xx.xx.xx) innerhalb eines selbstprogrammierten

Filters zu bekommen?

...

Wie gelange ich an den dat-file Namen, die gerade vom harddiskplayer abgespielt wird? Da ich eine Playlist abspiele ändert sich der

Name öfters.

Lösung:

Bitte siehe hierzu cIndexedFile (Class Reference) und die Funktion GetDateTime

Den Dateinamen kann man über die Events beim Harddisk Player erhalten.

Siehe dazu bitte Harddisk Player - Events received and emitted"

Möglich wäre ggf auch noch die Verwendung des Macro Resolvers. Und z.b. das Marcro $HD_PLAYER_FILE_NAME_NO_EXT$

verwenden.

Siehe hierzu: Overview of the available macros in ADTF"

History

#1 - 2019-02-14 09:07 - hidden

- Project changed from Public Support to 9

- Status changed from New to In Progress

- Topic set to ADTF::DAT

- Customer set to DAIMLER

- Affected Products ADTF 2.12.1 added

- Platform Windows 7 64bit added

#2 - 2019-02-14 10:51 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Thomas Held,

bitte sieh Dir hierzu cIndexedFile (Class Reference) und die Funktion GetDateTime an.

Damit sollte es möglich sein.

Bitte gib uns in jeden Fall ein Feedback ob deine Anfrage damit geschlossen werden kann.

Danke.

#3 - 2019-02-14 13:15 - hidden

Hallo Matthias Frick-Gredler,

an einer beliebigen Stelle im Code habe ich nun folgendes implementiert:
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/classadtf__util_1_1c_indexed_file.html#a278f5e12a8c926685e0b296d15ec09c3
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_player_event_table.html
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_adtf_macros.html
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/classadtf__util_1_1c_indexed_file.html#a278f5e12a8c926685e0b296d15ec09c3


tDateTime DataTime;

cIndexedFile File;

File.GetDateTime(&DataTime);

uint16_t year = DataTime.ui16Year

...

std::cout << "year " << year << ... << std::endl;

 Leider beinhalten die Variablen keine korrekten Angaben zum Dat-File das abgespielt wird.

Wo übersehe ich an der Stelle etwas?

Mit freundlichen Grüßen/Kind regards

Thomas Held

#4 - 2019-02-14 15:52 - hidden

Hallo Thomas,

dein cIndexedFile verweist ja nicht auf deine Datei, das musst du schon setzen.

Am besten nimmst du einfach einen cIndexedFileReader, verwendest ::Open und dann ::GetDateTime

#5 - 2019-02-14 16:30 - hidden

Hallo Florian,

wie gelange ich an den dat-file Namen, die gerade vom harddiskplayer abgespielt wird? Da ich eine Playlist abspiele ändert sich der Name öfters.

Mit freundlichen Grüßen/Kind regards

Thomas Held

#6 - 2019-02-15 09:30 - hidden

Hallo Thomas,

den Dateinamen kannst du über die Events beim Harddisk Player erhalten.

Sieh Dir dazu bitte Harddisk Player - Events received and emitted" durch.

Möglich wäre ggf auch noch die Verwendung des Macro Resolvers. Und z.b. das Marcro $HD_PLAYER_FILE_NAME_NO_EXT$ verwenden.

Siehe hierzu: Overview of the available macros in ADTF"

Bitte gib uns in jeden Fall ein Feedback ob deine Anfrage damit geschlossen werden kann.

Danke.

#7 - 2019-02-15 13:45 - hidden

Hallo Matthias,

es ist mir nun gelungen an die Informationen des Dat-Files zu gelangen.

Vielen Dank für deine Unterstützung!

Mit freundlichen Grüßen/Kind regards

Thomas Held

#8 - 2019-02-15 14:04 - hidden

- Subject changed from Dat-File Informationen to Dat-File Informationen - Date & file name

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#9 - 2019-04-03 09:36 - hidden

- Project changed from 9 to Public Support

- Subject changed from Dat-File Informationen - Date & file name to Getting date and filename from dat file

- Status changed from To Be Closed to Closed

- Private changed from Yes to No
